Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.pkcs
Class EncryptionScheme

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.x509.AlgorithmIdentifier
              org.bouncycastle.asn1.pkcs.EncryptionScheme

All Implemented Interfaces:
  DEREncodable

    public class EncryptionScheme

extends AlgorithmIdentifier

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`DERObject` `getDERObject()`
`DERObject` `getObject()`

Methods inherited from class org.bouncycastle.asn1.x509.AlgorithmIdentifier
`getInstance, getInstance, getObjectId, getParameters, toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getObject

    public DERObject getObject()

### getDERObject

    public DERObject getDERObject()

  Specified by:
    `getDERObject` in interface `DEREncodable`
  Overrides:
    `getDERObject` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45